Results 1 to 6 of 6

Thread: rarcrack installation error

  1. #1
    Join Date
    Dec 2010
    Beans
    43

    Question rarcrack installation error

    Hello!

    I get this error when i command "make" on rarcrack which i downloaded from official site.

    gcc -pthread rarcrack.c `xml2-config --libs --cflags` -O2 -o rarcrack
    /bin/sh: xml2-config: not found
    In file included from rarcrack.c:21:0:
    rarcrack.h:25:48: fatal error: libxml/xmlmemory.h: No such file or directory
    compilation terminated.
    make: *** [all] Error 1

    Can someone help me please ?

    Thank you!

  2. #2
    Join Date
    Nov 2010
    Location
    India
    Beans
    4,847
    Distro
    Ubuntu Development Release

    Re: rarc rack installation error

    Google First your issue , if no solution then ask.

    రాజ శేఖర్ రెడ్డి

  3. #3
    Join Date
    Dec 2010
    Beans
    43

    Re: rarc rack installation error

    sudo apt-get install libxml2
    [sudo] password for dalya:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    libxml2 is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    dalya@dalya:~$ sudo apt-get install libxml2-dev
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Unable to locate package libxml2-dev

  4. #4
    dino99's Avatar
    dino99 is offline Ubuntu addict and loving it
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: rarc rack installation error

    which distro is used ?
    libxml2-dev is in repo

    sudo apt-get xml-core

  5. #5
    Join Date
    Dec 2010
    Beans
    43

    Re: rarc rack installation error

    Quote Originally Posted by dino99 View Post
    which distro is used ?
    libxml2-dev is in repo

    sudo apt-get xml-core
    I use Ubuntu 11.04. I did not change anything from repos or something.

    sudo apt-get xml-core
    E: Invalid operation xml-core

    sudo apt-get install xml-core
    [sudo] password for dalya:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    xml-core is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Last edited by papaapa; August 14th, 2011 at 05:20 PM.

  6. #6
    Join Date
    May 2007
    Beans
    1

    Re: rarc rack installation error

    sudo apt-get install libxml2-dev libxslt-dev

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •